Bug 278991 - Xorg unable to find useable screens on ppc live image.
Xorg unable to find useable screens on ppc live image.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
8
powerpc Linux
medium Severity low
: ---
: ---
Assigned To: Adam Jackson
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-05 14:14 EDT by Jesse Keating
Modified: 2013-01-09 21:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:14:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
downloaded Xorg.0.log (23.80 KB, text/plain)
2007-09-11 19:12 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Jesse Keating 2007-09-05 14:14:59 EDT
Summary says it all, live image built with rawhide on 20070905.

Log can be found at http://jkeating.fedorapeople.org/Xorg.0.log.ppc.live

Machine is a ppc mac mini.
Comment 1 Jesse Keating 2007-09-07 15:10:29 EDT
Looks like maybe the new randr stuff in the ati driver and just not working on ppc.
Comment 2 Matěj Cepl 2007-09-11 19:12:21 EDT
Created attachment 193101 [details]
downloaded Xorg.0.log

We like everything in the bugzilla (with our reponse times, who knows where
your account will be when we actually go and fix it ;-)).
Comment 3 Dave Airlie 2007-10-05 00:59:44 EDT
Can you try adding Option "MacModel" "mini" to the driver section of your xorg.conf?

Comment 4 Jesse Keating 2007-10-05 07:44:49 EDT
I can when I get back on Wed., or somebody else in the BOS office can poke at it.
Comment 5 Jesse Keating 2007-10-10 15:24:10 EDT
That got me further, now I get a stipple pattern but the X is malformed. 
Instead of an X it's like <>, really bizarre.  But once GNOME takes over the
cursor goes to the normal pointer and looks OK.
Comment 6 Bug Zapper 2008-04-04 09:46:06 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 7 Bug Zapper 2008-11-26 02:45:25 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-01-09 02:14:16 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.